AutoCAD 2010/2011/2012

Reply
Active Contributor
mark
Posts: 27
Registered: ‎12-16-2009
Message 1 of 5 (3,502 Views)

scaling multiple objects

3502 Views, 4 Replies
12-16-2009 07:35 PM
is it possible to scale multiple objects around theor own centrepoint. using the scale command, i would have to select eact individually & scale around midpoint, or end up with the objects moving.

Mark Edited by: mark@sellickconsultants.com.au on Dec 17, 2009 3:36 AM
*Dean Saadallah
Message 2 of 5 (3,502 Views)

Re: scaling multiple objects

12-16-2009 07:39 PM in reply to: mark
Not all objects have a 'centerpoint': are you wanting to scale
lines/blocks/hatches/text/plines around something in the middle of those
entities?
And what do you determine as the center?

--
Dean Saadallah
http://LTisACAD.blogspot.com
--
*R.K. McSwain
Message 3 of 5 (3,502 Views)

Re: scaling multiple objects

12-17-2009 04:52 AM in reply to: mark
mark@sellickconsultants.com.au wrote:
> is it possible to scale multiple objects around theor own
> centrepoint. using the scale command, i would have to select eact
> individually & scale around midpoint, or end up with the objects
> moving.

If the entities are the same, you could make them into a block, and
then scale the block definition.

If there are multiple entity types (arc, polyline, circle, mtext,
etc.), then you will have to decide what the "centerpoint" is for
each, and if any 3rd party tools work for you. Toolpac
(www.dotsoft.com) includes a routine to individually scale objects
based on the center of their bounding box if that is an option for
you.


--
R.K. McSwain
http://cadpanacea.com
*Tim Decker
Message 4 of 5 (3,502 Views)

Re: scaling multiple objects

12-17-2009 05:40 AM in reply to: mark
You can try this lisp routine, it is one I have been using for years. It
will work on the DXF Group Code 10, which covers the center/start/insertion
point of most objects.

(defun C:ENTSCL (/ SCL SS NDX)
(setq *ERROR* NIL)
(defun *ERROR* (MSG)
(princ "error: ")
(princ MSG)
(progn
(setq SCL NIL
SS NIL
NDX NIL
)
(setq *ERROR* NIL)
)
(princ)
)
(setq SCL (getreal "\nEnter Scale Factor: "))
(setq NDX 0)
(setq SS (ssget))
(while (< NDX (sslength SS))
(command ".scale"
(ssname SS NDX)
""
(cdr (assoc 10 (entget (ssname SS NDX))))
SCL
)
(setq NDX (1+ NDX))
)
(setq *ERROR* NIL)
(princ)
)


wrote in message
news:6306209@discussion.autodesk.com...
is it possible to scale multiple objects around theor own centrepoint.
using the scale command, i would have to select eact individually & scale
around midpoint, or end up with the objects moving.

Mark

Edited by: mark@sellickconsultants.com.au on Dec 17, 2009 3:36 AM
Contributor
Gtuni
Posts: 14
Registered: ‎01-05-2006
Message 5 of 5 (3,502 Views)

Re: scaling multiple objects

12-17-2009 08:35 AM in reply to: mark
I use the Properrties dialog. Select everything you want to scale and change their scale in the properties dialog.
The downside it this scales the objects around their respective insertion point (not their center). So the objects may "shift".
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.